### Type parameters

- #### T

### Hierarchy

- DeepCopy
  - SimpleAccount
  - DataRequest
  - Site
  - ExternalService
  - ServiceResponse
  - OfferPriceRules
  - OfferPrice
  - Offer
  - FileMeta
  - OfferSearch
  - OfferSearchResultItem
  - Pageable
  - Page
  - SearchRequest
  - OfferShareData
  - HttpServiceCall

## Index

### Methods

- copy
- deepCopyFromJson

## Methods

### copy

- copy(changeArgs?: JsonObject<T>): T

- - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<T>

  #### Returns T

### Protected deepCopyFromJson

- deepCopyFromJson(): T

- - Defined in repository/models/DeepCopy.ts:18

  #### Returns T

Generated using TypeDoc